1
$\begingroup$

I'm trying to run bwa on HiC data. This is the command I'm giving:

bwa mem -5SP -T0 -t4 -R '@RG\tID:\tSM:\tLB:\tPL:ILLUMINA\tPU:none' REFERENCE.fa PAIR1.fq PAIR2.fq

and here's the error message:

mem: illegal option -- 5

Supposedly, the 5SP option is for HiC data (cite), but my BWA isn't recognizing it. Anybody have any ideas? My initial thought is to update BWA to the newest version, but I don't want to mess with our replicatibility since I am new to the lab and don't want to be updating software when I don't need to. The server is a Mac Pro and bwa version is 0.7.12-r1039. Thanks.

$\endgroup$
1
  • 1
    $\begingroup$ You can use conda to install and test the desired version of bwa to test. This will not interfere with whatever version installed on the server. $\endgroup$
    – haci
    Oct 12 '20 at 9:29
3
$\begingroup$

This option has been added in 0.7.16a, see https://github.com/lh3/bwa/releases, so consider updating.

$\endgroup$
1
  • $\begingroup$ Thanks for providing exactly the answer needed! $\endgroup$
    – Jeff
    Oct 12 '20 at 19:57
3
$\begingroup$

Your link with those command line options is 1 year old. Looks like that version of bwa is 6 years old. You probably should update.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.